Question 4nxci (can't run game after installing updates using TinFoil)

Discussion in 'Switch - Emulation, Homebrew & Software Projects' started by udo4ever, Aug 24, 2018.

  1. udo4ever
    OP

    udo4ever GBAtemp Regular

    Member
    3
    Jul 28, 2007
    Canada
    Hi everyone!
    I am not sure if I am in the right section. I searched pretty much everywhere on the site but can't seem to find the answer to my question. Basically, I have the XCI version of Tropical Freeze and transferred it to an NSP file using 4NXCI. After the transfer, I get 2 NSP files (the game and the update). When installing the game only through Tinfoil, it works like a charm. However, after installing the update file, the game does not boot. It claims that I cannot run it because the game is associated with another account and that I need to go online. Any thoughts on what is going on here?

    Background info:

    Switch originally on FW 3.0. Updated to latest firmware version using ChoixduJour. Booting rajnx CFW with noGCupdate (latest version).

    Thanks for all your help!
     
    Last edited by udo4ever, Aug 24, 2018
  2. udo4ever
    OP

    udo4ever GBAtemp Regular

    Member
    3
    Jul 28, 2007
    Canada
    i guess nobody has any ideas? can anyone let me know if they are running in to the same issue at least... ;-)
     
  3. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    Did you try the latest version of 4NXCI? It claims to have fixed the issue you are referring to.
     
  4. udo4ever
    OP

    udo4ever GBAtemp Regular

    Member
    3
    Jul 28, 2007
    Canada
    Hi Draxzelex! I have been mostly lurking on gbatemp for years and I would have to say I am amazed at your quick responses and general helpfulness. It is thanks to people like you that the Switch scene is awesome!!!! truly appreciate it.

    in terms of my issue I have been running the latest release (1.0)... However, I initially had the previous version and then simply kept the folder but replaces the exe file... do you think there might be a conflict in doing this? in the folder there is only a readme file and a license file.

    In addition I followed this guide: https://gbatemp.net/threads/backup-...-your-biskeys-tseckeys-keys-txt-guide.513386/ to get the latest keys file once I updated by switch to the latest firmware via choixdujour. I did eliminate some unecessary keys in the keys file to deal with a warning message I received each time I converted a file. This might be the issue but if I elminated a key that was important wouldn't the 20 plus games I installed not work too? they all work without issue. Why is it just when I install an update file? Today I tried to install the update file to Oceanhorn that 4NXCI created and it did the same thing... hmmm. Any ideas?
     
    Last edited by udo4ever, Aug 25, 2018
  5. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    Well the latest version of 4NXCI is now V1.1 so it might be worth using that before proceeding further. Also, I think it pops out an error if you don't have enough keys. I think its the unknown meta type error.
     
  6. udo4ever
    OP

    udo4ever GBAtemp Regular

    Member
    3
    Jul 28, 2007
    Canada
    Excellent suggestion! I updated 4NXCI to V1.1 and it solved the problem. It likely was the unknown meta type error. Thank you for your help! I can finally leave my game cards at home =) yay!
     
    Draxzelex likes this.
Loading...